{
  lib,
  ocaml-deps,
  ocamlPackages,
  version,
  debug ? false,
  doCheck ? false,
  ...
}:
ocamlPackages.buildDunePackage {
  pname = "culr";
  version = "0.1-vivid-${version}";

  minimalOCamlVersion = "5.2";

  src = ./..;
  buildInputs = ocaml-deps;

  buildPhase =
    if debug
    then ''
      runHook preBuild
      dune build -p culr --profile debug ''${enableParallelBuilding:+-j $NIX_BUILD_CORES}
      runHook postBuild
    ''
    else ''
      runHook preBuild
      dune build -p culr --profile release  ''${enableParallelBuilding:+-j $NIX_BUILD_CORES}
      runHook postBuild
    '';

  checkPhase = ''
    dune runtest
  '';
  inherit doCheck;

  meta.mainProgram = "culr";
}
